using Avalonia;
using Avalonia.Controls;
using Avalonia.Markup.Xaml;
using Avalonia.Media;

namespace detect.gui.Controls;

public partial class Arrow : UserControl
{
    public static readonly StyledProperty<IBrush?> ItemColorProperty =
        AvaloniaProperty.Register<Arrow, IBrush?>(nameof(ItemColor));
    public IBrush? ItemColor
    {
        get => GetValue(ItemColorProperty);
        set => SetValue(ItemColorProperty, value);
    }
    
    public Arrow()
    {
        InitializeComponent();
    }

    private void InitializeComponent()
    {
        AvaloniaXamlLoader.Load(this);
    }
}